package cn.wise.sc.consume.business.service.impl;

import cn.wise.sc.consume.business.entity.SysCoupon;
import cn.wise.sc.consume.business.entity.SysEnterprise;
import cn.wise.sc.consume.business.mapper.SysCouponMapper;
import cn.wise.sc.consume.business.model.CouponAppListVO;
import cn.wise.sc.consume.business.model.CouponDetailVO;
import cn.wise.sc.consume.business.model.CouponListVO;
import cn.wise.sc.consume.business.service.ISysCouponService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ztw
 * @since 2020-07-31
 */
@Service
public class SysCouponServiceImpl extends ServiceImpl<SysCouponMapper, SysCoupon> implements ISysCouponService {

	private static final Logger log = LoggerFactory.getLogger("SysCouponServiceImpl");

	@Autowired
	private SysCouponMapper couponMapper;

	@Override
	public List<CouponListVO> getPage(Map<String, Object> map) {
		List<CouponListVO> couponListVOS = couponMapper.getCouponPage(map);
		log.debug("优惠券列表{}");
		return couponListVOS;
	}

	@Override
	public CouponDetailVO getCouponDetail(Long id) {
		return couponMapper.getCouponDetail(id);
	}

	@Override
	public List<CouponAppListVO> getCouponAppList(String coridc, String usridc) {
		List<CouponAppListVO> list = couponMapper.getCouponAppList(coridc, usridc);
		return list;
	}

}
